## kf6-kcmutils 6.17.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(KF_VERSION "6.17.0") # handled by release scripts
set(KF_DEP_VERSION "6.17.0") # handled by release scripts
project(KCMUtils VERSION ${KF_VERSION})

include(FeatureSummary)
find_package(ECM 6.17.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://invent.kde.org/frameworks/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)

include(ECMGenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(CMakePackageConfigHelpers)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMMarkNonGuiExecutable)
include(KDEGitCommitHooks)
include(ECMQmlModule)
include(ECMGenerateQDoc)


include(CMakeDependentOption)
option(TOOLS_ONLY "Only build the tools and not the rest of KCMUtils" OFF)
if (TOOLS_ONLY)
    find_package(Qt6 ${REQUIRED_QT_VERSION} NO_MODULE REQUIRED Core)
    add_subdirectory(tools)
    return()
endif()

set(REQUIRED_QT_VERSION 6.7.0)
find_package(Qt6 ${REQUIRED_QT_VERSION} NO_MODULE REQUIRED Widgets Qml Quick QuickWidgets Test)

# shall we use DBus?
# enabled per default on Linux & BSD systems
set(USE_DBUS_DEFAULT OFF)
if(UNIX AND NOT APPLE AND NOT ANDROID AND NOT HAIKU)
    set(USE_DBUS_DEFAULT ON)
endif()
option(USE_DBUS "Build components using DBus" ${USE_DBUS_DEFAULT})
if(USE_DBUS)
    find_package(Qt6DBus ${REQUIRED_QT_VERSION} CONFIG REQUIRED)
    set(HAVE_QTDBUS ${Qt6DBus_FOUND})
endif()

set(kcmutils_version_header "${CMAKE_CURRENT_BINARY_DIR}/src/kcmutils_version.h")
ecm_setup_version(PROJECT VARIABLE_PREFIX KCMUTILS
                        VERSION_HEADER "${kcmutils_version_header}"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF6KCMUtilsConfigVersion.cmake"
                        SOVERSION 6)

find_package(KF6KIO ${KF_DEP_VERSION} REQUIRED)
find_package(KF6ItemViews ${KF_DEP_VERSION} REQUIRED)
find_package(KF6ConfigWidgets ${KF_DEP_VERSION} REQUIRED)
find_package(KF6CoreAddons ${KF_DEP_VERSION} REQUIRED)
find_package(KF6GuiAddons ${KF_DEP_VERSION} REQUIRED)
find_package(KF6I18n ${KF_DEP_VERSION} REQUIRED)
find_package(KF6XmlGui ${KF_DEP_VERSION} REQUIRED)
find_package(KF6WidgetsAddons ${KF_DEP_VERSION} REQUIRED)

ecm_set_disabled_deprecation_versions(
    QT 6.10.0
    KF 6.16.0
)

add_definitions(-DTRANSLATION_DOMAIN=\"kcmutils6\")
ki18n_install(po)
add_subdirectory(src)
add_subdirectory(tools)
if(BUILD_TESTING)
add_subdirectory(autotests)
endif()


# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6KCMUtils")

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF6KCMUtilsConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF6KCMUtilsConfig.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF6KCMUtilsConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF6KCMUtilsConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(
    FILES
    ${CMAKE_CURRENT_SOURCE_DIR}/KF6KCMUtilsMacros.cmake
    ${CMAKE_CURRENT_SOURCE_DIR}/src/kcmutilsgeneratemoduledata.cpp.in
    ${CMAKE_CURRENT_SOURCE_DIR}/src/kcmutilsgeneratemoduledata.h.in
    DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

install(EXPORT KF6KCMUtilsTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF6KCMUtilsTargets.cmake NAMESPACE KF6:: )

install(FILES
   ${kcmutils_version_header}
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KCMUtils COMPONENT Devel
)

include(ECMFeatureSummary)
ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== autotests/module_data_codegen/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2021 Alexander Lohnau <alexander.lohnau@gmx.de>
# SPDX-License-Identifier: BSD-2-Clause

include(../../KF6KCMUtilsMacros.cmake)

set(_KCMODULE_DATA_TEMPLATE_CPP "../../src/kcmutilsgeneratemoduledata.cpp.in")
set(_KCMODULE_DATA_TEMPLATE_H   "../../src/kcmutilsgeneratemoduledata.h.in")
set(module_data_test_SRCS module_data_test.cpp)
kcmutils_generate_module_data(
        module_data_test_SRCS
        MODULE_DATA_HEADER cursorthemedata.h
        MODULE_DATA_CLASS_NAME CursorThemeData
        SETTINGS_HEADERS cursorthemesettings.h
        SETTINGS_CLASSES CursorThemeSettings
        NAMESPACE Test
)
kconfig_add_kcfg_files(module_data_test_SRCS cursorthemesettings.kcfgc GENERATE_MOC)

ecm_add_test(${module_data_test_SRCS}
        TEST_NAME module_data_test
        LINK_LIBRARIES KF6KCMUtils Qt6::Test
)

=== src/quick/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2022 Alexander Lohnau <alexander.lohnau@gmx.de>
# SPDX-License-Identifier: BSD-3-Clause

add_library(KF6KCMUtilsQuick
    kquickconfigmodule.cpp
    kquickmanagedconfigmodule.cpp
    sharedqmlengine.cpp
    kquickconfigmoduleloader.cpp
)

ecm_generate_qdoc(KF6KCMUtilsQuick kcmutilsquick.qdocconf)

qt_extract_metatypes(KF6KCMUtilsQuick)

ecm_generate_export_header(KF6KCMUtilsQuick
    BASE_NAME KCMUtilsQuick
    GROUP_BASE_NAME KF
    VERSION ${KF_VERSION}
    DEPRECATED_BASE_VERSION 0
)
target_include_directories(KF6KCMUtilsQuick INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF}/KCMUtilsQuick>")

target_link_libraries(KF6KCMUtilsQuick
  PUBLIC
    KF6::CoreAddons
    KF6::ConfigCore
    Qt6::Qml
    KF6KCMUtilsCore
  PRIVATE
    KF6::I18n
    KF6::ConfigGui
    Qt6::Quick
    kcmutils_logging_STATIC
)

if(TARGET KF6::I18nQml)
  target_link_libraries(KF6KCMUtilsQuick PRIVATE
        KF6::I18nQml
)
endif()

set_target_properties(KF6KCMUtilsQuick PROPERTIES
                      VERSION ${KCMUTILS_VERSION}
                      SOVERSION ${KCMUTILS_SOVERSION}
                      EXPORT_NAME KCMUtilsQuick)
ecm_generate_headers(KCMUtilsQuick_HEADERS
  HEADER_NAMES
  KQuickConfigModule
  KQuickManagedConfigModule
  KQuickConfigModuleLoader

  REQUIRED_HEADERS KCMUtilsQuick_HEADERS
)
install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/kcmutilsquick_export.h
  ${KCMUtilsQuick_HEADERS}
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KCMUtilsQuick COMPONENT Devel
)

install(TARGETS KF6KCMUtilsQuick EXPORT KF6KCMUtilsTargets ${KF_INSTALL_TARGETS_DEFAULT_ARGS})

=== debian/changelog ===
kf6-kcmutils (6.17.0-0ubuntu2) questing; urgency=medium

  * No-change rebuild for Qt 6.9.2 private ABI.

 -- Rik Mills <rikmills@kde.org>  Wed, 17 Sep 2025 06:31:10 +0100

kf6-kcmutils (6.17.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.17.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 08 Aug 2025 18:13:31 +0100

=== debian/control ===
Source: kf6-kcmutils
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               doxygen,
               extra-cmake-modules (>= 6.17.0~),
               libkf6configwidgets-dev (>= 6.17.0~),
               libkf6coreaddons-dev (>= 6.17.0~),
               libkf6guiaddons-dev (>= 6.17.0~),
               libkf6i18n-dev (>= 6.17.0~),
               libkf6itemviews-dev (>= 6.17.0~),
               libkf6kio-dev (>= 6.17.0~),
               libkf6widgetsaddons-dev (>= 6.17.0~),
               libkf6xmlgui-dev (>= 6.17.0~),
               qml6-module-org-kde-config (>= 6.17.0~),
               qml6-module-org-kde-kirigami (>= 6.17.0~) <!nocheck>,
               qml6-module-qtqml-workerscript <!nocheck>,
               qt6-base-dev (>= 6.6.0~),
               qt6-declarative-dev (>= 6.6.0~),
               qt6-declarative-private-dev (>= 6.5.0+dfsg~),
               qt6-tools-dev (>= 6.5.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/frameworks/kcmutils
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kcmutils
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kcmutils
Rules-Requires-Root: no

Package: libkf6kcmutils-bin
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: runtime files for kcmutils
 KCMUtils provides various classes to work with KCModules. KCModules can be
 created with the KConfigWidgets framework.
 .
 Contains runtime files for kcmutils.

Package: libkf6kcmutils-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Extra APIs to write KConfig modules
 KCMUtils provides various classes to work with KCModules. KCModules can be
 created with the KConfigWidgets framework.
 .
 This package contains the data files.

Package: libkf6kcmutils-dev
Section: libdevel
Architecture: any
Depends: libkf6configwidgets-dev (>= 6.17.0~),
         libkf6coreaddons-dev (>= 6.17.0~),
         libkf6kcmutils-bin (= ${binary:Version}),
         libkf6kcmutils6 (= ${binary:Version}),
         libkf6kcmutilscore6 (= ${binary:Version}),
         libkf6kcmutilsquick6 (= ${binary:Version}),
         qml6-module-org-kde-kcmutils (= ${binary:Version}),
         qt6-base-dev (>= 6.6.0~),
         qt6-declarative-dev (>= 6.6.0~),
         ${misc:Depends},
Recommends: libkf6kcmutils-doc (= ${source:Version}),
Description: Extra APIs to write KConfig modules
 Some utility classes for KSettings, KCModule and KPlugin.
 .
 Contains development files for kcmutils.

Package: libkf6kcmutils-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Extra APIs to write KConfig modules (documentation)
 KCMUtils provides various classes to work with KCModules. KCModules can be
 created with the KConfigWidgets framework.
 .
 This package contains the qch documentation files.

Package: libkf6kcmutils6
Architecture: any
Multi-Arch: same
Depends: libkf6kcmutils-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf6kcmutils-bin (= ${binary:Version}),
Description: Extra APIs to write KConfig modules
 KCMUtils provides various classes to work with KCModules. KCModules can be
 created with the KConfigWidgets framework.

Package: libkf6kcmutilscore6
Architecture: any
Multi-Arch: same
Depends: libkf6kcmutils-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Extra APIs to write KConfig modules
 KCMUtils provides various classes to work with KCModules. KCModules can be
 created with the KConfigWidgets framework.

Package: libkf6kcmutilsquick6
Architecture: any
Multi-Arch: same
Depends: libkf6kcmutils-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Extra APIs to write KConfig modules
 KCMUtils provides various classes to work with KCModules. KCModules can be
 created with the KConfigWidgets framework.

Package: qml6-module-org-kde-kcmutils
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: Extra APIs to write KConfig modules
 KCMUtils provides various classes to work with KCModules. KCModules can be
 created with the KConfigWidgets framework.

=== debian/watch ===
version=4

opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/frameworks/([\d.]+)/kcmutils-([\d.]+)\.tar\.xz

## kf6-kcmutils 6.18.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.17.0") # handled by release scripts
-set(KF_DEP_VERSION "6.17.0") # handled by release scripts
+set(KF_VERSION "6.18.0") # handled by release scripts
+set(KF_DEP_VERSION "6.18.0") # handled by release scripts
 project(KCMUtils VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 6.17.0  NO_MODULE)
+find_package(ECM 6.18.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://invent.kde.org/frameworks/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -67,7 +67,7 @@
 
 ecm_set_disabled_deprecation_versions(
     QT 6.10.0
-    KF 6.16.0
+    KF 6.17.0
 )
 
 add_definitions(-DTRANSLATION_DOMAIN=\"kcmutils6\")

=== autotests/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 Alexander Lohnau <alexander.lohnau@kde.org>
# SPDX-License-Identifier: BSD-2-Clause

include(ECMAddTests)
include(../KF6KCMUtilsMacros.cmake)

# Ensure we do not actually install the plugins/desktop files
set(KCOREADDONS_INTERNAL_SKIP_PLUGIN_INSTALLATION TRUE)
set(KCMUTILS_INTERNAL_TEST_MODE TRUE)

add_subdirectory(fakekcm)
add_subdirectory(qmlkcm)
add_subdirectory(module_data_codegen)

ecm_add_tests(
    kcmultidialogtest.cpp
    kcmloadtest.cpp
    LINK_LIBRARIES KF6KCMUtils Qt6::Test
)

=== debian/changelog ===
kf6-kcmutils (6.18.0-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.18.0).
  * Update build-deps and deps with the info from cmake (Closes: #1116761).
  * Remove patches that have been applied upstream.
  * Update list of installed files.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Tue, 30 Sep 2025 19:18:33 +0200

=== debian/control ===
--- 
+++ 
@@ -1,38 +1,34 @@
 Source: kf6-kcmutils
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
+               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.17.0~),
-               libkf6configwidgets-dev (>= 6.17.0~),
-               libkf6coreaddons-dev (>= 6.17.0~),
-               libkf6guiaddons-dev (>= 6.17.0~),
-               libkf6i18n-dev (>= 6.17.0~),
-               libkf6itemviews-dev (>= 6.17.0~),
-               libkf6kio-dev (>= 6.17.0~),
-               libkf6widgetsaddons-dev (>= 6.17.0~),
-               libkf6xmlgui-dev (>= 6.17.0~),
-               qml6-module-org-kde-config (>= 6.17.0~),
-               qml6-module-org-kde-kirigami (>= 6.17.0~) <!nocheck>,
-               qml6-module-qtqml-workerscript <!nocheck>,
-               qt6-base-dev (>= 6.6.0~),
-               qt6-declarative-dev (>= 6.6.0~),
-               qt6-declarative-private-dev (>= 6.5.0+dfsg~),
+               extra-cmake-modules (>= 6.18.0~),
+               libkf6configwidgets-dev (>= 6.18.0~),
+               libkf6coreaddons-dev (>= 6.18.0~),
+               libkf6guiaddons-dev (>= 6.18.0~),
+               libkf6i18n-dev (>= 6.18.0~),
+               libkf6itemviews-dev (>= 6.18.0~),
+               libkf6kio-dev (>= 6.18.0~),
+               libkf6widgetsaddons-dev (>= 6.18.0~),
+               libkf6xmlgui-dev (>= 6.18.0~),
+               libkirigami-dev,
+               qt6-base-dev (>= 6.7.0~),
+               qt6-declarative-dev (>= 6.7.0~),
                qt6-tools-dev (>= 6.5.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/frameworks/kcmutils
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kcmutils
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kcmutils
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kcmutils
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kcmutils.git
 Rules-Requires-Root: no
 
 Package: libkf6kcmutils-bin
@@ -58,15 +54,15 @@
 Package: libkf6kcmutils-dev
 Section: libdevel
 Architecture: any
-Depends: libkf6configwidgets-dev (>= 6.17.0~),
-         libkf6coreaddons-dev (>= 6.17.0~),
+Depends: libkf6configwidgets-dev (>= 6.18.0~),
+         libkf6coreaddons-dev (>= 6.18.0~),
          libkf6kcmutils-bin (= ${binary:Version}),
          libkf6kcmutils6 (= ${binary:Version}),
          libkf6kcmutilscore6 (= ${binary:Version}),
          libkf6kcmutilsquick6 (= ${binary:Version}),
          qml6-module-org-kde-kcmutils (= ${binary:Version}),
-         qt6-base-dev (>= 6.6.0~),
-         qt6-declarative-dev (>= 6.6.0~),
+         qt6-base-dev (>= 6.7.0~),
+         qt6-declarative-dev (>= 6.7.0~),
          ${misc:Depends},
 Recommends: libkf6kcmutils-doc (= ${source:Version}),
 Description: Extra APIs to write KConfig modules
@@ -119,9 +115,7 @@
 Package: qml6-module-org-kde-kcmutils
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends},
-         ${qml6:Depends},
-         ${shlibs:Depends},
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Description: Extra APIs to write KConfig modules
  KCMUtils provides various classes to work with KCModules. KCModules can be
  created with the KConfigWidgets framework.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# see FEATURE AREAS in dpkg-buildflags(1)
# Disable fixfilepath as it triggers build failures.
export DEB_BUILD_MAINT_OPTIONS = hardening=+all reproducible=-fixfilepath

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON -DBUILD_TESTING=ON

override_dh_auto_test:
	xvfb-run dh_auto_test --no-parallel

## kf6-kcmutils 6.18.0+p24.04+vstable+git20251001.1157

=== debian/changelog ===
kf6-kcmutils (6.18.0+p24.04+vstable+git20251001.1157-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 01 Oct 2025 11:58:00 +0000

kf6-kcmutils (6.18.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Sep 2025 12:34:22 +0000

kf6-kcmutils (6.17.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 09 Aug 2025 00:09:46 +0000

kf6-kcmutils (6.16.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jul 2025 06:01:47 +0000

kf6-kcmutils (6.15.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 16 Jun 2025 05:37:22 +0000

kf6-kcmutils (6.14.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 May 2025 10:25:35 +0000

kf6-kcmutils (6.13.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 13 Apr 2025 01:50:15 +0000

kf6-kcmutils (6.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 17 Mar 2025 21:50:54 +0000

kf6-kcmutils (6.11.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 20 Feb 2025 03:17:57 +0000

kf6-kcmutils (6.10.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 11:29:53 +0000

kf6-kcmutils (6.9.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 13 Dec 2024 10:19:44 +0000

kf6-kcmutils (6.8.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 09 Nov 2024 00:22:19 +0000

kf6-kcmutils (6.7.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Oct 2024 15:18:32 +0000

kf6-kcmutils (6.6.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 21 Sep 2024 03:23:20 +0000

kf6-kcmutils (6.5.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Aug 2024 12:17:53 +0000

kf6-kcmutils (6.4.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Jul 2024 04:36:07 +0000

kf6-kcmutils (6.3.0-1neon) noble; urgency=medium

  * new release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Thu, 13 Jun 2024 14:27:23 +1000

kf6-kcmutils (6.3.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 11 Jun 2024 03:50:18 +0000

kf6-kcmutils (6.2.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 22 Feb 2024 03:15:06 +0000

kf6-kcmutils (5.245.0-0neon) jammy; urgency=medium

  * New alpha release

 -- Neon CI <neon@kde.org>  Fri, 17 Nov 2023 01:18:08 +0000

kf6-kcmutils (0.0-0neon) UNRELEASED; urgency=medium

  * New release

 -- Jonathan Esk-Riddell <jr@jriddell.org>  Mon, 12 Dec 2022 13:04:30 +0000

## kf6-kcmutils 6.18.0+p24.04+vstable+git20251005.1031

=== debian/changelog ===
kf6-kcmutils (6.18.0+p24.04+vstable+git20251005.1031-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 05 Oct 2025 10:31:29 +0000

## kf6-kcmutils 6.18.0+p24.04+vunstable+git20251003.1210

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.18.0") # handled by release scripts
+set(KF_VERSION "6.19.0") # handled by release scripts
 set(KF_DEP_VERSION "6.18.0") # handled by release scripts
 project(KCMUtils VERSION ${KF_VERSION})
 
@@ -67,7 +67,7 @@
 
 ecm_set_disabled_deprecation_versions(
     QT 6.10.0
-    KF 6.17.0
+    KF 6.18.0
 )
 
 add_definitions(-DTRANSLATION_DOMAIN=\"kcmutils6\")

=== debian/changelog ===
kf6-kcmutils (6.18.0+p24.04+vunstable+git20251003.1210-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 03 Oct 2025 12:10:38 +0000

=== debian/control ===
Source: kf6-kcmutils
Section: libs
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               doxygen,
               graphviz,
               kde-qdoc-common-dev,
               kf6-extra-cmake-modules,
               kf6-kconfigwidgets-dev,
               kf6-kcoreaddons-dev,
               kf6-ki18n-dev,
               kf6-kio-dev,
               kf6-kirigami2-dev,
               kf6-kitemviews-dev,
               kf6-kxmlgui-dev,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-tools-dev
Standards-Version: 4.6.2
Homepage: https://projects.kde.org/projects/frameworks/kcmutils
Vcs-Git: https://invent.kde.org/neon/kf6/kf6-kcmutils.git
Vcs-Browser: https://invent.kde.org/neon/kf6/kf6-kcmutils
Maintainer: Neon CI <neon@kde.org>

Package: kf6-kcmutils
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: qml6-module-org-kde-kirigami2, ${misc:Depends}, ${shlibs:Depends}
Replaces: libkf6kcmutils-data,
          libkf6kcmutils-doc,
          libkf6kcmutils6,
          qml6-module-org-kde-kcmutils
Description: Extra APIs to write KConfig modules.
 KCMUtils provides various classes to work with KCModules. KCModules can be
 created with the KConfigWidgets framework.
 .
 This package contains the data files.

Package: kf6-kcmutils-dev
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: kf6-kcmutils (= ${binary:Version}),
         kf6-kcolorscheme-dev,
         kf6-kconfigwidgets-dev,
         kf6-kservice-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: libkf6kcmutils-dev
Recommends: kf6-kcmutils (= ${source:Version})
Description: Extra APIs to write KConfig modules.
 Some utility classes for KSettings, KCModule and KPlugin.
 .
 Contains development files for kcmutils.

Package: libkf6kcmutils-data
Architecture: all
Depends: kf6-kcmutils, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6kcmutils-doc
Architecture: all
Depends: kf6-kcmutils, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6kcmutils6
Architecture: all
Depends: kf6-kcmutils, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6kcmutils-dev
Architecture: all
Depends: kf6-kcmutils-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-org-kde-kcmutils
Architecture: all
Depends: kf6-kcmutils, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

## kf6-kcmutils 6.19.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 cmake_minimum_required(VERSION 3.16)
 
 set(KF_VERSION "6.19.0") # handled by release scripts
-set(KF_DEP_VERSION "6.18.0") # handled by release scripts
+set(KF_DEP_VERSION "6.19.0") # handled by release scripts
 project(KCMUtils VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 6.18.0  NO_MODULE)
+find_package(ECM 6.19.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://invent.kde.org/frameworks/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== autotests/qmlkcm/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 Alexander Lohnau <alexander.lohnau@kde.org>
# SPDX-License-Identifier: BSD-2-Clause

kcmutils_add_qml_kcm(kcm_testqml SOURCES timesettings.cpp)

target_link_libraries(kcm_testqml
    Qt6::Core
    KF6::CoreAddons
    KF6::I18n
    KF6KCMUtilsQuick
)

=== src/core/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 Alexander Lohnau <alexander.lohnau@gmx.de>
# SPDX-License-Identifier: BSD-3-Clause

add_library(KF6KCMUtilsCore)

ecm_generate_qdoc(KF6KCMUtilsCore kcmutilscore.qdocconf)

qt_extract_metatypes(KF6KCMUtilsCore)

set_target_properties(KF6KCMUtilsCore PROPERTIES
    VERSION     ${KCMUTILS_VERSION}
    SOVERSION   ${KCMUTILS_SOVERSION}
    EXPORT_NAME KCMUtilsCore
)

ecm_qt_declare_logging_category(KF6KCMUtilsCore
    HEADER kcmutilscore_debug.h
    IDENTIFIER KCMUTILS_CORE_LOG
    CATEGORY_NAME kf.kcmutils.core
    DESCRIPTION "KCMUtilsCore"
    EXPORT KCMUTILS_CORE
)
ecm_generate_export_header(KF6KCMUtilsCore
    BASE_NAME KCMUtilsCore
    GROUP_BASE_NAME KF
    VERSION ${KF_VERSION}
    USE_VERSION_HEADER
    VERSION_BASE_NAME KCMUtils
    DEPRECATED_BASE_VERSION 0
)
target_include_directories(KF6KCMUtilsCore PUBLIC
    "$<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}/..>" # module version header
)
target_include_directories(KF6KCMUtilsCore INTERFACE
    "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF}/KCMUtilsCore>"
    "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF}/KCMUtils>" # module version header
)

target_sources(KF6KCMUtilsCore PRIVATE
    kpluginmodel.cpp
    kabstractconfigmodule.cpp
    kcmoduledata.cpp
    kcmoduledata.h
)
target_link_libraries(KF6KCMUtilsCore
  PUBLIC
    KF6::CoreAddons
  PRIVATE
    KF6::ConfigCore
    KF6::ItemViews
)

ecm_generate_headers(KCMUtilsCore_HEADERS
  HEADER_NAMES
  KPluginModel
  KAbstractConfigModule
  KCModuleData

  REQUIRED_HEADERS KCMUtilsCore_HEADERS
)
install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/kcmutilscore_export.h
  ${KCMUtilsCore_HEADERS}
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KCMUtilsCore COMPONENT Devel
)

install(TARGETS KF6KCMUtilsCore EXPORT KF6KCMUtilsTargets ${KF_INSTALL_TARGETS_DEFAULT_ARGS})

add_library(kcmutils_proxy_model STATIC kpluginproxymodel.cpp)
qt_extract_metatypes(kcmutils_proxy_model)
# Needed to link this static lib to shared libs
set_property(TARGET kcmutils_proxy_model PROPERTY POSITION_INDEPENDENT_CODE ON)
target_link_libraries(kcmutils_proxy_model PUBLIC KF6KCMUtilsCore KF6::ItemViews)

if(NOT BUILD_SHARED_LIBS)
  install(TARGETS kcmutils_proxy_model EXPORT KF6KCMUtilsTargets ${KF_INSTALL_TARGETS_DEFAULT_ARGS})
endif()

=== src/qml/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2022 Alexander Lohnau <alexander.lohnau@gmx.de>
# SPDX-License-Identifier: BSD-3-Clause

ecm_add_qml_module(kcmutilsqmlplugin URI "org.kde.kcmutils" VERSION 1.0 DEPENDENCIES QtQuick org.kde.kcmutils.private org.kde.config GENERATE_PLUGIN_SOURCE)

ecm_generate_qdoc(kcmutilsqmlplugin kcmutilsqml.qdocconf)

target_sources(kcmutilsqmlplugin
  PRIVATE
    settingstateproxy.cpp
    kcmlauncher.cpp
    types.h
)
target_link_libraries(kcmutilsqmlplugin
  PRIVATE
    KF6::KIOGui
    Qt6::Qml
    Qt6::Quick
    kcmutils_proxy_model
    kcmutils_logging_STATIC
    KF6KCMUtilsQuick
)

ecm_target_qml_sources(kcmutilsqmlplugin SOURCES
    components/PluginDelegate.qml
    components/PluginSelector.qml
    components/AbstractKCM.qml
    components/ContextualHelpButton.qml
    components/GridDelegate.qml
    components/GridView.qml
    components/GridViewKCM.qml
    components/ScrollView.qml
    components/ScrollViewKCM.qml
    components/SettingHighlighter.qml
    components/SettingStateBinding.qml
    components/SimpleKCM.qml
)
ecm_target_qml_sources(kcmutilsqmlplugin PATH private SOURCES
    components/private/AboutPlugin.qml
    components/private/GridDelegateMenu.qml
    components/private/GridViewInternal.qml
)
ecm_finalize_qml_module(kcmutilsqmlplugin DESTINATION ${KDE_INSTALL_QMLDIR})

ecm_add_qml_module(kcmutilsprivateqmlplugin URI "org.kde.kcmutils.private" DEPENDENCIES QtCore QtQuick GENERATE_PLUGIN_SOURCE)
target_sources(kcmutilsprivateqmlplugin PRIVATE private_types.h settinghighlighterprivate.cpp)
target_link_libraries(kcmutilsprivateqmlplugin PRIVATE Qt6::Quick kcmutils_proxy_model)
ecm_finalize_qml_module(kcmutilsprivateqmlplugin DESTINATION ${KDE_INSTALL_QMLDIR})

=== debian/changelog ===
kf6-kcmutils (6.19.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.18.0)
  * Update symbols.
  * New upstream release (6.19.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 12 Oct 2025 15:04:27 +0100

=== debian/control ===
Source: kf6-kcmutils
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               doxygen,
               extra-cmake-modules (>= 6.19.0~),
               libkf6configwidgets-dev (>= 6.19.0~),
               libkf6coreaddons-dev (>= 6.19.0~),
               libkf6guiaddons-dev (>= 6.19.0~),
               libkf6i18n-dev (>= 6.19.0~),
               libkf6itemviews-dev (>= 6.19.0~),
               libkf6kio-dev (>= 6.19.0~),
               libkf6widgetsaddons-dev (>= 6.19.0~),
               libkf6xmlgui-dev (>= 6.19.0~),
               qml6-module-org-kde-config (>= 6.19.0~),
               qml6-module-org-kde-kirigami (>= 6.19.0~) <!nocheck>,
               qml6-module-qtqml-workerscript <!nocheck>,
               qt6-base-dev (>= 6.6.0~),
               qt6-declarative-dev (>= 6.6.0~),
               qt6-declarative-private-dev (>= 6.5.0+dfsg~),
               qt6-tools-dev (>= 6.5.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/frameworks/kcmutils
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kcmutils
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kcmutils
Rules-Requires-Root: no

Package: libkf6kcmutils-bin
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: runtime files for kcmutils
 KCMUtils provides various classes to work with KCModules. KCModules can be
 created with the KConfigWidgets framework.
 .
 Contains runtime files for kcmutils.

Package: libkf6kcmutils-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Extra APIs to write KConfig modules
 KCMUtils provides various classes to work with KCModules. KCModules can be
 created with the KConfigWidgets framework.
 .
 This package contains the data files.

Package: libkf6kcmutils-dev
Section: libdevel
Architecture: any
Depends: libkf6configwidgets-dev (>= 6.19.0~),
         libkf6coreaddons-dev (>= 6.19.0~),
         libkf6kcmutils-bin (= ${binary:Version}),
         libkf6kcmutils6 (= ${binary:Version}),
         libkf6kcmutilscore6 (= ${binary:Version}),
         libkf6kcmutilsquick6 (= ${binary:Version}),
         qml6-module-org-kde-kcmutils (= ${binary:Version}),
         qt6-base-dev (>= 6.6.0~),
         qt6-declarative-dev (>= 6.6.0~),
         ${misc:Depends},
Recommends: libkf6kcmutils-doc (= ${source:Version}),
Description: Extra APIs to write KConfig modules
 Some utility classes for KSettings, KCModule and KPlugin.
 .
 Contains development files for kcmutils.

Package: libkf6kcmutils-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Extra APIs to write KConfig modules (documentation)
 KCMUtils provides various classes to work with KCModules. KCModules can be
 created with the KConfigWidgets framework.
 .
 This package contains the qch documentation files.

Package: libkf6kcmutils6
Architecture: any
Multi-Arch: same
Depends: libkf6kcmutils-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf6kcmutils-bin (= ${binary:Version}),
Description: Extra APIs to write KConfig modules
 KCMUtils provides various classes to work with KCModules. KCModules can be
 created with the KConfigWidgets framework.

Package: libkf6kcmutilscore6
Architecture: any
Multi-Arch: same
Depends: libkf6kcmutils-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Extra APIs to write KConfig modules
 KCMUtils provides various classes to work with KCModules. KCModules can be
 created with the KConfigWidgets framework.

Package: libkf6kcmutilsquick6
Architecture: any
Multi-Arch: same
Depends: libkf6kcmutils-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Extra APIs to write KConfig modules
 KCMUtils provides various classes to work with KCModules. KCModules can be
 created with the KConfigWidgets framework.

Package: qml6-module-org-kde-kcmutils
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: Extra APIs to write KConfig modules
 KCMUtils provides various classes to work with KCModules. KCModules can be
 created with the KConfigWidgets framework.

## kf6-kcmutils 6.19.0+p24.04+vstable+git20251017.0548

=== debian/changelog ===
kf6-kcmutils (6.19.0+p24.04+vstable+git20251017.0548-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 17 Oct 2025 05:48:33 +0000

kf6-kcmutils (6.19.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Oct 2025 06:48:33 +0000

## kf6-kcmutils 6.19.0+p24.04+vstable+git20251019.0142

=== debian/changelog ===
kf6-kcmutils (6.19.0+p24.04+vstable+git20251019.0142-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 01:42:49 +0000

## kf6-kcmutils 6.19.0+p24.04+vunstable+git20251008.1235

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.19.0") # handled by release scripts
+set(KF_VERSION "6.20.0") # handled by release scripts
 set(KF_DEP_VERSION "6.19.0") # handled by release scripts
 project(KCMUtils VERSION ${KF_VERSION})

=== debian/changelog ===
kf6-kcmutils (6.19.0+p24.04+vunstable+git20251008.1235-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 08 Oct 2025 12:35:44 +0000

## kf6-kcmutils 6.19.0+p24.04+vunstable+git20251023.0126

=== CMakeLists.txt ===
--- 
+++ 
@@ -35,7 +35,7 @@
     return()
 endif()
 
-set(REQUIRED_QT_VERSION 6.7.0)
+set(REQUIRED_QT_VERSION 6.8.0)
 find_package(Qt6 ${REQUIRED_QT_VERSION} NO_MODULE REQUIRED Widgets Qml Quick QuickWidgets Test)
 
 # shall we use DBus?

=== debian/changelog ===
kf6-kcmutils (6.19.0+p24.04+vunstable+git20251023.0126-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 23 Oct 2025 01:27:06 +0000

## kf6-kcmutils 6.20.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 cmake_minimum_required(VERSION 3.16)
 
 set(KF_VERSION "6.20.0") # handled by release scripts
-set(KF_DEP_VERSION "6.19.0") # handled by release scripts
+set(KF_DEP_VERSION "6.20.0") # handled by release scripts
 project(KCMUtils VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 6.19.0  NO_MODULE)
+find_package(ECM 6.20.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://invent.kde.org/frameworks/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -67,7 +67,7 @@
 
 ecm_set_disabled_deprecation_versions(
     QT 6.10.0
-    KF 6.18.0
+    KF 6.19.0
 )
 
 add_definitions(-DTRANSLATION_DOMAIN=\"kcmutils6\")

=== debian/changelog ===
kf6-kcmutils (6.20.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.20.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 15 Nov 2025 19:26:25 +0100

=== debian/control ===
--- 
+++ 
@@ -1,44 +1,41 @@
 Source: kf6-kcmutils
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
+               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.19.0~),
-               libkf6configwidgets-dev (>= 6.19.0~),
-               libkf6coreaddons-dev (>= 6.19.0~),
-               libkf6guiaddons-dev (>= 6.19.0~),
-               libkf6i18n-dev (>= 6.19.0~),
-               libkf6itemviews-dev (>= 6.19.0~),
-               libkf6kio-dev (>= 6.19.0~),
-               libkf6widgetsaddons-dev (>= 6.19.0~),
-               libkf6xmlgui-dev (>= 6.19.0~),
-               qml6-module-org-kde-config (>= 6.19.0~),
-               qml6-module-org-kde-kirigami (>= 6.19.0~) <!nocheck>,
-               qml6-module-qtqml-workerscript <!nocheck>,
-               qt6-base-dev (>= 6.6.0~),
-               qt6-declarative-dev (>= 6.6.0~),
-               qt6-declarative-private-dev (>= 6.5.0+dfsg~),
+               extra-cmake-modules (>= 6.20.0~),
+               libkf6configwidgets-dev (>= 6.20.0~),
+               libkf6coreaddons-dev (>= 6.20.0~),
+               libkf6guiaddons-dev (>= 6.20.0~),
+               libkf6i18n-dev (>= 6.20.0~),
+               libkf6itemviews-dev (>= 6.20.0~),
+               libkf6kio-dev (>= 6.20.0~),
+               libkf6widgetsaddons-dev (>= 6.20.0~),
+               libkf6xmlgui-dev (>= 6.20.0~),
+               libkirigami-dev,
+               qt6-base-dev (>= 6.8.0~),
+               qt6-declarative-dev (>= 6.8.0~),
                qt6-tools-dev (>= 6.5.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/frameworks/kcmutils
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kcmutils
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kcmutils
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kcmutils
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kcmutils.git
 Rules-Requires-Root: no
 
 Package: libkf6kcmutils-bin
 Architecture: any
 Multi-Arch: foreign
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
 Description: runtime files for kcmutils
  KCMUtils provides various classes to work with KCModules. KCModules can be
  created with the KConfigWidgets framework.
@@ -58,15 +55,15 @@
 Package: libkf6kcmutils-dev
 Section: libdevel
 Architecture: any
-Depends: libkf6configwidgets-dev (>= 6.19.0~),
-         libkf6coreaddons-dev (>= 6.19.0~),
+Depends: libkf6configwidgets-dev (>= 6.20.0~),
+         libkf6coreaddons-dev (>= 6.20.0~),
          libkf6kcmutils-bin (= ${binary:Version}),
          libkf6kcmutils6 (= ${binary:Version}),
          libkf6kcmutilscore6 (= ${binary:Version}),
          libkf6kcmutilsquick6 (= ${binary:Version}),
          qml6-module-org-kde-kcmutils (= ${binary:Version}),
-         qt6-base-dev (>= 6.6.0~),
-         qt6-declarative-dev (>= 6.6.0~),
+         qt6-base-dev (>= 6.8.0~),
+         qt6-declarative-dev (>= 6.8.0~),
          ${misc:Depends},
 Recommends: libkf6kcmutils-doc (= ${source:Version}),
 Description: Extra APIs to write KConfig modules

## kf6-kcmutils 6.20.0+p24.04+vunstable+git20251201.0142

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.20.0") # handled by release scripts
+set(KF_VERSION "6.21.0") # handled by release scripts
 set(KF_DEP_VERSION "6.20.0") # handled by release scripts
 project(KCMUtils VERSION ${KF_VERSION})

=== debian/changelog ===
kf6-kcmutils (6.20.0+p24.04+vunstable+git20251201.0142-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 01 Dec 2025 01:43:02 +0000

kf6-kcmutils (6.20.0-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 22 Nov 2025 15:33:52 +1000

## kf6-kcmutils 6.20.0+p24.04+vunstable+git20251206.0652

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.21.0") # handled by release scripts
-set(KF_DEP_VERSION "6.20.0") # handled by release scripts
+set(KF_VERSION "6.22.0") # handled by release scripts
+set(KF_DEP_VERSION "6.21.0") # handled by release scripts
 project(KCMUtils VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 6.20.0  NO_MODULE)
+find_package(ECM 6.21.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://invent.kde.org/frameworks/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kf6-kcmutils (6.20.0+p24.04+vunstable+git20251206.0652-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 06 Dec 2025 06:52:36 +0000

## kf6-kcmutils 6.21.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.22.0") # handled by release scripts
+set(KF_VERSION "6.21.0") # handled by release scripts
 set(KF_DEP_VERSION "6.21.0") # handled by release scripts
 project(KCMUtils VERSION ${KF_VERSION})

=== debian/changelog ===
kf6-kcmutils (6.21.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.21.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 12 Dec 2025 11:49:45 +0000

kf6-kcmutils (6.20.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.20.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 Nov 2025 16:12:47 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kf6-kcmutils
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
 Build-Depends: debhelper-compat (= 13),
@@ -10,32 +11,34 @@
                dh-sequence-qmldeps,
                cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.20.0~),
-               libkf6configwidgets-dev (>= 6.20.0~),
-               libkf6coreaddons-dev (>= 6.20.0~),
-               libkf6guiaddons-dev (>= 6.20.0~),
-               libkf6i18n-dev (>= 6.20.0~),
-               libkf6itemviews-dev (>= 6.20.0~),
-               libkf6kio-dev (>= 6.20.0~),
-               libkf6widgetsaddons-dev (>= 6.20.0~),
-               libkf6xmlgui-dev (>= 6.20.0~),
-               libkirigami-dev,
+               extra-cmake-modules (>= 6.21.0~),
+               libkf6configwidgets-dev (>= 6.21.0~),
+               libkf6coreaddons-dev (>= 6.21.0~),
+               libkf6guiaddons-dev (>= 6.21.0~),
+               libkf6i18n-dev (>= 6.21.0~),
+               libkf6itemviews-dev (>= 6.21.0~),
+               libkf6kio-dev (>= 6.21.0~),
+               libkf6widgetsaddons-dev (>= 6.21.0~),
+               libkf6xmlgui-dev (>= 6.21.0~),
+               qml6-module-org-kde-config (>= 6.21.0~),
+               qml6-module-org-kde-kirigami (>= 6.21.0~) <!nocheck>,
+               qml6-module-qtqml-workerscript <!nocheck>,
                qt6-base-dev (>= 6.8.0~),
                qt6-declarative-dev (>= 6.8.0~),
-               qt6-tools-dev (>= 6.5.0~),
+               qt6-declarative-private-dev (>= 6.8.0+dfsg~),
+               qt6-tools-dev (>= 6.8.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/kcmutils
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kcmutils
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kcmutils.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kcmutils
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kcmutils
 Rules-Requires-Root: no
 
 Package: libkf6kcmutils-bin
 Architecture: any
 Multi-Arch: foreign
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: runtime files for kcmutils
  KCMUtils provides various classes to work with KCModules. KCModules can be
  created with the KConfigWidgets framework.
@@ -55,8 +58,8 @@
 Package: libkf6kcmutils-dev
 Section: libdevel
 Architecture: any
-Depends: libkf6configwidgets-dev (>= 6.20.0~),
-         libkf6coreaddons-dev (>= 6.20.0~),
+Depends: libkf6configwidgets-dev (>= 6.21.0~),
+         libkf6coreaddons-dev (>= 6.21.0~),
          libkf6kcmutils-bin (= ${binary:Version}),
          libkf6kcmutils6 (= ${binary:Version}),
          libkf6kcmutilscore6 (= ${binary:Version}),
@@ -116,9 +119,7 @@
 Package: qml6-module-org-kde-kcmutils
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends},
-         ${qml6:Depends},
-         ${shlibs:Depends},
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Description: Extra APIs to write KConfig modules
  KCMUtils provides various classes to work with KCModules. KCModules can be
  created with the KConfigWidgets framework.

## kf6-kcmutils 6.21.0+p24.04+vstable+git20251212.0323

=== debian/changelog ===
kf6-kcmutils (6.21.0+p24.04+vstable+git20251212.0323-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 12 Dec 2025 03:24:04 +0000

kf6-kcmutils (6.21.0-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 07 Dec 2025 15:13:30 +1000
